import React, { Component } from 'react';
import PropTypes from 'prop-types';
import jwtManager from '../lib/jwtManager';
import { isAuth } from '../lib/isAuth';
import { getLangPrefix } from '../lib/helpers';

export class NSButtonLoginAccount extends Component {
    constructor(props, context) {
        super(props, context);
        this.state = {
            url      : `${getLangPrefix(context.getPageState().nsLanguages || [], props.i18n.language)}/login`,
            loggedin : false,
            mobile   : props.mobile === 'true',
        };
    }

    UNSAFE_componentWillMount = async () => {
        try {
            if (typeof window === 'undefined' || !jwtManager.get()) return this.setState({ url: `${getLangPrefix(this.context.getPageState().nsLanguages || [], this.props.i18n.language)}/login`, loggedin: false });
            const res = await isAuth();
            if (res.isLogged) this.setState({ url: `${getLangPrefix(this.context.getPageState().nsLanguages || [], this.props.i18n.language)}/account`, loggedin: true });
        } catch (e) {
            console.error(e);
            this.setState({ url: `${getLangPrefix(this.context.getPageState().nsLanguages || [], this.props.i18n.language)}/login`, loggedin: false });
        }
    }

    componentWillReceiveProps({ mobile }) {
        this.setState({ mobile: mobile === 'true' });
    }

    render() {
        const { url, mobile } = this.state;
        return (
            <li>
                {mobile && <a href={url}><i className="ico-lock-blue" />{this.props.t('common:monCompteMobile')}</a>}
                {!mobile && <a href={url}><i className="ico-lock" />{this.props.t('common:monCompte')}</a>}
            </li>
        );
    }

    static contextTypes = {
        getPageState: PropTypes.func
    };

    static defaultProps = {
        mobile : 'false'
    }
}