import React from 'react';
import getAPIUrl from '../lib/generateAPIUrl';
import { isAuth } from '../lib/isAuth';

/**
 * NSCartLogin description
 *
 * @return {React.Component}
 */
export class NSCartLogin extends React.Component {
    constructor(props) {
        super(props);
        this.cssHook = '';
        this.jsxHook = undefined;
    }
    async componentDidMount() {
        try {
            const { fromCart } = this.props;
            const { isLogged } = await isAuth(getAPIUrl());
            // Si on saisi l'url /cart/login alors qu'on est loggué alors on retourne au cart
            if (isLogged && fromCart) window.location.pathname = '/cart';
        } catch (error) {
            console.error(error);
        }
    }
    render() {
        const { fromCart } = this.props;
        return (
            <div className="wrapAuth">
                <div style={{ width: '100%' }} className="row vcenter">
                    <div className="login col-md-6">
                        <NSLogin fromCart={this.props.fromCart} />
                    </div>
                    <div className="col-md-6">
                        <NSRegister fromCart={this.props.fromCart} />
                    </div>
                </div>
                <style jsx="true">{`
                    .wrapAuth {
                        max-width: 1096px;
                        margin: 0 auto;
                        font-family: 'Oswald', sans-serif;
                        display: flex;
                        justify-content: center;
                        width: 100%;
                        margin-top: 50px;
                        margin-bottom: 50px;
                    }
                    .login {
                        border-right: 1px solid #979797;
                        padding-right: 50px;
                    }
                    @media screen and (max-width: 990px) {
                        .wrapAuth {
                            flex-direction: column;
                        }
                        .login {
                            padding: 0 15px;
                        }
                    }
                    ${this.cssHook};
                `}</style>
                {this.jsxHook}
            </div>
        );
    }
}
