import React from 'react';
import getAPIUrl from '../lib/generateAPIUrl';
import { isAuth } from '../lib/isAuth';

/**
 * @return {React.Component}
 */
export class NSCartOrderFailStep extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            order : null,
        };
        this.cssHook = '';
        this.jsxHook = undefined;
    }
    async componentDidMount() {
        try {
            const { isLogged } = await isAuth(getAPIUrl());
            // TODO récupérer le ORDER.number
            if (!isLogged) return (window.location.pathname = '/cart/login');
            const order = JSON.parse(window.localStorage.getItem('order'));
            if (!order) return (window.location.pathname = '/cart');
            window.localStorage.removeItem('order');
            this.setState({ order });
        } catch (error) {
            console.error(error);
        }
    }
    render() {
        const { order } = this.state;
        if (order == null) return '';
        return (
            <div className="wrapAuth">
                <div>
                    <p>VOTRE COMMANDE A ECHOUÉE</p>
                    <p>{order.number}</p>
                </div>
                <div>
                    <img
                        className="imgFail"
                        src="/medias/Kart-Smoking.jpg"
                        alt="order-has-failed"
                    />
                </div>
                <div>
                    <a href="/account/orders/1">
                        <button>VOIR MES COMMANDES</button>
                    </a>
                </div>
                <style jsx="true">{`
                    .wrapAuth {
                        max-width: 1096px;
                        font-family: 'Oswald', sans-serif;
                        margin-top: 50px;
                        margin-bottom: 50px;
                        display: flex;
                        flex-direction: column;
                        text-align: center;
                    }

                    button {
                        color: white;
                        background: rgb(253, 188, 88);
                        font-size: 22px;
                        border: none;
                        cursor: pointer;
                        text-align: center;
                        line-height: 35px;
                        width: fit-content;
                        margin-top: 8px;
                        transition: 0.4s;
                        padding-right: 10px;
                        padding-left: 10px;
                    }
                    .imgFail {
                        width: 70%;
                    }
                    button:hover {
                        background: rgb(247, 174, 63);
                    }
                    @media screen and (max-width: 990px) {
                        .wrapAuth {
                            flex-direction: column;
                        }
                    }
                    ${this.cssHook};
                `}</style>
                {this.jsxHook}
            </div>
        );
    }
}
