import React from 'react';

/**
 *
 */
export class NSCartOrderSuccessStep extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            order : null,
        };
        this.cssHook = '';
        this.jsxHook = undefined;
    }
    componentDidMount() {
        const order = JSON.parse(window.localStorage.getItem('order'));
        window.localStorage.removeItem('order');
        this.setState({ order });
    }
    render() {
        const { order } = this.state;
        if (!order) return '';
        return (
            <div className="wrapAuth">
                <div>
                    <p className="infos confirm">CONFIRMATION DE COMMANDE</p>
                    <p className="infos numOrder">{order.number}</p>
                </div>
                <div>
                    <img src="/medias/PaymentSucces.png" alt="order-confirm-image" />
                </div>
                <div>
                    <Link href="/account/orders/1">
                        <button>VOIR MES COMMANDES</button>
                    </Link>
                </div>
                <style jsx="true">{`
                    .infos {
                        color: rgb(253, 188, 88);
                    }
                    .confirm {
                        font-size: 30px;
                    }
                    .numOrder {
                        font-size: 22px;
                    }
                    img {
                        width: 100%;
                    }
                    .wrapAuth {
                        max-width: 1096px;
                        font-family: 'Oswald', sans-serif;
                        margin-top: 50px;
                        margin-bottom: 50px;
                        display: flex;
                        flex-direction: column;
                        text-align: center;
                    }

                    button {
                        color: white;
                        background: rgb(253, 188, 88);
                        font-size: 22px;
                        border: none;
                        cursor: pointer;
                        text-align: center;
                        line-height: 35px;
                        width: fit-content;
                        margin-top: 8px;
                        transition: 0.4s;
                        padding-right: 10px;
                        padding-left: 10px;
                    }
                    button:hover {
                        background: rgb(247, 174, 63);
                    }
                    @media screen and (max-width: 990px) {
                        .wrapAuth {
                            flex-direction: column;
                        }
                    }
                    ${this.cssHook};
                `}</style>
                ${this.jsxHook}
            </div>
        );
    }
}
