import React from 'react';

/**
 * @return {React.Component}
 */
export class NSCartStep extends React.Component {
    constructor(props) {
        super(props);
        this.cssHook = '';
        this.jsxHook = undefined;
    }
    goto = (index) => {
        switch (index) {
        case 0:
            window.location.pathname = '/cart/login';
            break;
        case 1:
            window.location.pathname = '/cart/billing';
            break;
        case 2:
            window.location.pathname = '/cart/summary';
            break;
        default:
            console.log('error');
        }
    };

    render() {
        const { labels, activeIndex } = this.props;

        return (
            <nav>
                {labels.map((label, index) =>
                    (index < activeIndex ? (
                        <div
                            key={index}
                            className="wrapperStep isValidated"
                            style={{ cursor: 'pointer' }}
                            onClick={() => this.goto(index)}
                        >
                            <div className="indexStep isValidatedIndexStep">
                                <span className="icon fas fa-check" />
                            </div>
                            <div className="labelStep">{label}</div>
                        </div>
                    ) : activeIndex == index ? (
                        <div key={index} className="wrapperStep isActive">
                            <div className="indexStep isActiveIndexStep">
                                <span>{index + 1}</span>
                            </div>
                            <div className="labelStep">{label}</div>
                        </div>
                    ) : (
                        <div key={index} className="wrapperStep">
                            <div className="indexStep notActive">
                                <span>{index + 1}</span>
                            </div>
                            <div className="labelStep">{label}</div>
                        </div>
                    )))}
                <style jsx="true">{`
                    .isValidated {
                        color: #7eb620;
                    }
                    nav {
                        color: white;
                        display: flex;
                        justify-content: center;
                        font-family: 'Oswald', sans-serif;
                        margin-bottom: 70px;
                        position: relative;
                        bottom: 34px;
                    }
                    .wrapperStep {
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        flex-direction: column;
                        margin-right: 30px;
                        margin-left: 30px;
                    }
                    .isActive {
                        color: #fdbc58;
                    }
                    .isActiveIndexStep {
                        border: 3px solid #fdbc58;
                    }
                    .isValidatedIndexStep {
                        border: 3px solid #7eb620;
                        justify-content: center;
                        display: flex;
                        align-items: center;
                    }
                    .notActive {
                        border: 3px solid white;
                    }
                    .indexStep {
                        font-size: 30px;
                        text-align: center;
                        border-radius: 100%;
                        width: 64px;
                        height: 64px;
                        background: black;
                    }
                    .indexStep span {
                        vertical-align: middle;
                    }
                    .labelStep {
                        font-size: 20px;
                    }
                    @media screen and (max-width: 768px) {
                        nav {
                            flex-direction: column;
                        }
                        .client {
                            margin-top: 0;
                        }
                    }
                    ${this.cssHook};
                `}</style>
                {this.jsxHook}
            </nav>
        );
    }
}
