import React from 'react';
import PropTypes from 'prop-types';

export class NSCrossSelling extends React.Component {
    static contextTypes = {
        getPageState : PropTypes.func,
    };

    static defaultProps = {
        list                : [],
        lines               : 2,
        'items-per-slides'  : 3,
        productCard         : undefined,
    };

    constructor(props, context) {
        super(props, context);
        const products = props.list.length > 0 ? props.list : context.getPageState()[`nsCross_${props['ns-code']}`] ? context.getPageState()[`nsCross_${props['ns-code']}`].datas : [];
        this.state = {
            productsList : [...products].reverse(),
            count        : products.length,
            currentIndex : 1,
            responsive   : { 0: { items: 3 }, 1024: { items: 5 } },
            items        : [],
            key          : `key-${(Math.random() * Math.pow(10, 10)).aqlRound(0)}`,
            ProductCard  : props.productCard,
        };
    }

    componentWillReceiveProps(props) {
        if (this.props.list !== props.list) {
            const products = props.list;
            return {
                productsList : [...products].reverse(),
                count        : products.length,
                currentIndex : 1,
                responsive   : { 0: { items: 3 }, 1024: { items: 5 } },
                items        : [],
                key          : `key-${(Math.random() * Math.pow(10, 10)).aqlRound(0)}`,
                ProductCard  : props.productCard,
            };
        }
        return null;
    }

    slideNext = () => this.setState({ currentIndex: this.state.currentIndex + 1 <= Math.ceil(this.state.count / (this.props['items-per-slides'] * this.props.lines)) ? this.state.currentIndex + 1 : 1, key: Math.random() });

    slidePrev = () => this.setState({ currentIndex: this.state.currentIndex - 1 > 0 ? this.state.currentIndex - 1 : Math.ceil(this.state.count / (this.props['items-per-slides'] * this.props.lines)), key: Math.random() });

    render() {
        const { currentIndex, ProductCard, productsList } = this.state;
        //const lines = parseInt(this.props.lines, 10);
        //const itemsperslides = parseInt(this.props['items-per-slides'], 10);
        const itemsPerPages = this.props['items-per-slides'] * this.props.lines;
        return (
            <div id={this.state.key} className="section__body cross-selling" hidden={productsList.length < 1}>
                <link rel="stylesheet" href="/static/css/cross-selling.css" />
                <div className="slider">
                    <div className="slider__clip">
                        <div className="slider__slides">
                            <ul className="list">
                                <li className="slider__slide" style={{ width: '100%', display: 'flex', flexWrap: 'wrap' }}>
                                    {
                                        (!ProductCard)
                                            ? <b>{this.props.t('common:error:crossSelling')}</b>
                                            :                                            [...Array(itemsPerPages)].map((el, index) => {
                                                if (productsList[(itemsPerPages * (currentIndex - 1)) + index] !== undefined) {
                                                    const product = productsList[(itemsPerPages * (currentIndex - 1)) + index];
                                                    return <ProductCard key={(itemsPerPages * (currentIndex - 1)) + index} padding small index={index} product={product} />;
                                                }
                                            })
                                    }
                                </li>
                            </ul>
                        </div>{/* <!-- /.slider__slides --> */}
                        {
                            itemsPerPages >= productsList.length
                                ? ''
                                : (
                                    <div className="slider__arrows" hidden={productsList.length <= itemsPerPages}>
                                        <button onClick={() => this.slidePrev()} type="button" className="slider__arrow slider__arrow--prev">
                                            <i className="ico-caret-left" />
                                        </button>
                                        <button onClick={() => this.slideNext()} type="button" className="slider__arrow slider__arrow--next">
                                            <i className="ico-caret-right" />
                                        </button>
                                    </div>
                                )
                        }
                    </div>{/* <!-- /.slider__clip --> */}
                </div>{/* <!-- /.slider --> */}
                <style jsx>{/*`
                    .slider .slider__slides ul.list > li {padding: 0; justify-content: center; ${lines === 2 && productsList.length > (itemsPerPages / 2)  ? 'min-height: 560px !important;' : ''}}
                    .slider .slider__slides ul.list > li > div {${lines === 1 ? 'display: flex !important;' : ''}}
                    .slider .slider__slides {${itemsperslides === 2 && lines === 1 ? 'padding: 0 !important;' : ''}}
                    .slider__arrows button {
                        border: 0;
                        background: transparent;
                    }
                    @media screen and (max-width: 1023px) {
                        .slider .slider__slides ul.list > li {height: auto; min-height: unset;}
                    }
                `*/}</style>
            </div>
        );
    }
}
