import React from 'react';
import PropTypes from 'prop-types';

export class NSLoadingSpinner extends React.Component {
    constructor(props) {
        super(props);
        this.state = { show: props.show };
    }

    static propTypes = {
        show : PropTypes.bool
    }

    static defaultProps = {
        show : false
    }

    componentWillReceiveProps({ show }) {
        this.setState({ show });
    }

    render() {
        const { show } = this.state;
        return (
            <div
                hidden={!show}
                className="overlay" style={{
                    position        : 'fixed',
                    top             : '0',
                    right           : '0',
                    left            : '0',
                    bottom          : '0',
                    height          : '100%',
                    backgroundColor : 'rgba(0, 0, 0, 0.5)',
                    zIndex          : '100'
                }}
            >
                <img
                    src="/static/images/white-spinner.png" alt="white-spinner" className="white-spinner" style={{
                        position : 'absolute',
                        top      : '50%',
                        left     : '50%',
                        zIndex   : '2'
                    }}
                />
            </div>
        );
    }
}
