import React from 'react';
import { NSBlockSlider } from './NSBlockSlider';
import { NSBlogArticles } from './NSBlogArticles';
import { NSBreadcrumb } from './NSBreadcrumb';
import { NSButtonLoginAccount } from './NSButtonLoginAccount';
import { NSCartProductCounter } from './NSCartProductCounter';
import { NSContact } from './NSContact';
import { NSCrossSelling } from './NSCrossSelling';
import { NSGallery } from './NSGallery';
import { NSGoToTopButton } from './NSGoToTopButton';
import { NSLogin } from './NSLogin';
import { NSNewsletter } from './NSNewsletter';
import { NSMenu } from './NSMenu';
import { NSProductCard } from './NSProductCard';
import { NSSearchBar } from './NSSearchBar';
import { NSSlider } from './NSSlider';

// A noter que <Link> et <CMS> sont déjà gérés directement dans le composant NSCMS, il faut utiliser respectivement "ns-link" et "ns-cms"
// A garder dans l'ordre alphabétique en fonction du nom du composant SVP
export default {
    'ns-block-slider'   : <NSBlockSlider />,
    'ns-blog-articles'  : <NSBlogArticles />,
    'ns-breadcrumb'     : <NSBreadcrumb />,
    'ns-btn'            : <NSButtonLoginAccount />,
    'ns-cart-count'     : <NSCartProductCounter />,
    'ns-contact'        : <NSContact button-title="valider" />,
    'ns-cross-selling'  : <NSCrossSelling productCard={NSProductCard} />,
    'ns-gallery'        : <NSGallery />,
    'ns-top-button'     : <NSGoToTopButton />,
    'ns-login'          : <NSLogin />,
    'ns-newsletter'     : <NSNewsletter />,
    'ns-menu'           : <NSMenu />,
    'ns-productcard'    : <NSProductCard />,
    'ns-search'         : <NSSearchBar />,
    'ns-slider'         : <NSSlider />
};