/* 
 * Retourne un objet contenant toutes les traductions AQT dans le dossier "assets"
 */

const langs = ['en', 'fr'];
const namespaces = ['static', 'category', 'menu', 'product-card', 'product', 'cms', 'common', 'login', 'cart', 'addresses', 'cart-resume', 'delivery', 'payment', 'account', 'resetpass', 'success'];

let assets = {};
for (let l in langs) {
    assets[langs[l]] = {};
    for (let ns in namespaces) {
        try {
            assets[langs[l]][namespaces[ns]] = require(`../assets/${langs[l]}/${namespaces[ns]}.json`);
        }
        catch (e) {}
    }
};

export default assets;