import React from 'react';
import axios from 'axios';
import PropTypes from 'prop-types';
import { initPage, simplifyPath } from '../lib/helpers';
import getAPIUrl from '../lib/generateAPIUrl';

/**
 * @return {React.Component}
 */
export class NSArticle extends React.Component {
    static contextTypes = { getPageState: PropTypes.func };

    static childContextTypes = {
        getPageState : PropTypes.func,
    };

    constructor(props) {
        super(props);
        this.state = {
            ...props,
        };
    }

    getChildContext() {
        return {
            getPageState : () => this.state,
        };
    }

    componentDidMount = async () => {
        // API pour charger les articles
        const result = await axios(`${getAPIUrl()}site/news/visible`);
        this.setState({ article: result.data });
    };

    static getInitialProps = async function (req) {
        // Gestion de la langue et du slug
        const langs = [];// await axios.get(`${getAPIUrl(req)}languages`);
        const lang = 'fr';// req.query.lang || langs.data.find(l => l.defaultLanguage === true).code;
        const res = await axios.post(`${getAPIUrl(req)}v2/site/new`, {
            lang,
            PostBody : {
                filter : {
                    [`translation.${lang}.slug`] : req.query.slug,
                },
            }
        });

        // On charge la page static pouvant contenir plusieurs BlocCMS comportant eu
        // même plusieurs composant a charger
        const isEmpty = false;
        const notFound = false;
        const datasComponentsStatic = null;
        // on recupére le block cms ayant pour id "header", un block cms peut contenir
        // plusieurs composant
        const initData = await initPage(req, lang);

        const cmsNew = await axios.post(`${getAPIUrl(req)}v2/component/ns-cms/top_blog`, { lang });

        let pathUrl = '';
        if (req.req) {
            pathUrl = `${req.req.protocol}://${req.req.headers.host}`;
        } else {
            pathUrl = `${window.location.origin}`;
        }

        return {
            article  : res.data,
            isEmpty,
            notFound,
            ...datasComponentsStatic,
            ...initData,
            oCmsBlog : cmsNew.data,
            url      : {
                asPath : req.asPath,
            },
            query       : req.query,
            nsLanguages : langs.data,
            pathUrl,
        };
    };

    render() {
        return (<div>A surcharger</div>);
    }
}
