const path = require('path');
const ProgressBarPlugin = require('progress-bar-webpack-plugin');

module.exports = {
    mode   : 'production',
    entry  : /* './src/index.js', */['idempotent-babel-polyfill', './src/index.js'],
    output : {
        path          : path.resolve(__dirname, 'build'),
        filename      : 'index.js',
        libraryTarget : 'commonjs2', // THIS IS THE MOST IMPORTANT LINE! :mindblow: I wasted more than 2 days until realize this was the line most important in all this guide.
    },
    module : {
        rules : [
            {
                test : /\.js$/,
                use  : [{
                    loader : 'babel-loader',

                    options : {
                        presets : ['@babel/env', '@babel/react'],
                    },
                }],
                include : __dirname,
            },
            {
                test : /\.css$/,
                use  : [{
                    loader : 'css-loader',
                }],
                include : __dirname,
            },
        ]
    },
    plugins : [
        new ProgressBarPlugin(),
    ],
    target    : 'node',
    externals : {
        react : 'commonjs react', // this line is just to use the React dependency of our parent-testing-project instead of using our own React.
    },
};
